Visit The New, Modern Unix Linux Community

Operating Systems Linux Android Any Android Developers in the Forums? Post 302459257 by Neo on Monday 4th of October 2010 08:17:57 AM
Will you be developing using the Android Eclipse plugin or the SDK?
 
Test Your Knowledge in Computers #221
Difficulty: Easy
Apple's OS X (macOS) installed base had grown to 80 million users as reported at the WWDC 2014.
True or False?

3 More Discussions You Might Find Interesting

1. What is on Your Mind?

Tapatalk Stats for Forums (Android v. iPhone)

Interesting... for both the iPhone and Andriod phones, so far browsing forums using the Tapatalk apps is rare. Seems folks like the web (browser) format better. With new tablets coming out, I think this trend (browser on tablets v. special apps) will continue. I was surprised, however, that... (0 Replies)
Discussion started by: Neo
0 Replies

2. Android

Android Scripting Environment: Shell Scripting and Android

I just upgraded to Android 2.2 from 2.1. The GPS issue that was troublesome in 2.1 seems to have been fixed. Some of web browsing seems faster, but it could just be my connection is better today ;) Flash works in some browsers but not very good and it is too slow for Flash apps designed for... (0 Replies)
Discussion started by: Neo
0 Replies

3. Debian

Sandboxes for developers

hi guys, I need to create a sandbox environment on my Debian based LAMP server for PHP/MySql development. Anyone who could point me in the right direction or share their insight? (1 Reply)
Discussion started by: ziggy911
1 Replies
Debian::Javahelper::Eclipse(3)					    Javahelper					    Debian::Javahelper::Eclipse(3)

NAME
Debian::Javahelper::Eclipse - Eclipse Helper Library. SYNOPSIS
use Debian::Javahelper::Eclipse; my @orbitdeps = (); push(@orbitdeps, { EOB_SYM_NAME => 'org.apache.commons.net', EOB_SYS_JAR => '/usr/share/java/commons-net2.jar'}); #... # Install the feature to "$dropins/$name" install_zipped_feature($zip, "$dropins/$name"); # and symlink the following orbitdeps. install_zipped_feature($zip, "$dropins/$name", @orbitdeps); DESCRIPTION
This module is used by the eclipse related javahelpers to share common code. Please note this API is not stable and backwards compatibility is not guaranteed at the current time. Please contact the maintainers if you are interested in a stable API. Definitions A bundle refers to a jar file. An orbit dependency (a.k.a orbitdep) is a bundle, which is used by eclipse or one of its features without being a part of eclipse or said feature. This module keeps track of bundles via hashes; see the EOB_* constants for relevant keys (and their expected values). Constants EOB_SYM_NAME Key for hashes to fetch the symbolic name of a bundle. EOB_BUNDLE_VERSION Key for hashes to fetch the version of a bundle. EOB_SYS_JAR Key for hashes to fetch the path to the system installed jar file. Only valid for an orbit dependency and cannot be used with manifests. Methods install_zipped_feature($fzip, $loc[, $orbitdeps[, $package, $needs]]) Unpacks the zipped feature $fzip into $loc, which should be a subfolder of a dropins folder (e.g. /usr/share/eclipse/dropins/emf). This can also be used to install the feature into a "build environment". In this case it should be installed into the same folder as the SDK is (this folder is usually called "SDK"). If $orbitdeps is present, it should be an ARRAY ref containing orbit dependencies, which will be symlinked after unpacking. This sub only needs the EOB_SYM_NAME and EOB_SYS_JAR to be set and valid. Orbit dependencies not present in the installed folder will be ignored, so it is safe to have unrelated orbit dependencies in the ARRAY ref. If $package and $needs are present, the former should be the name of a debian package and the latter a hashref. The sub will populate the $needs hashref with which orbit dependencies are used by the package. The $needs hashref can be re-used in multiple calls to this sub. Keys in $needs will be the path to the orbit jar's real location (EOB_SYS_JAR) and the value a new hashref. This hashref has as keys the names of packages and as values 1. The $needs is used by jh_installeclipse to populate the ${orbit:Depends} variables for packages. AUTHOR
Niels Thykier <niels@thykier.net> COPYRIGHT AND LICENSE
Copyright 2010 by Niels Thykier This module is free software; you may redistribute it and/or modify it under the terms of GNU GPL 2. 0.43 2011-02-17 Debian::Javahelper::Eclipse(3)

Featured Tech Videos

All times are GMT -4. The time now is 06:23 AM.
Unix & Linux Forums Content Copyright 1993-2020. All Rights Reserved.
Privacy Policy